Bug 1084190 - Review Request: hamekoz-tiempos - Simple app to calculate diff between two dates
Review Request: hamekoz-tiempos - Simple app to calculate diff between two dates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-04-03 15:28 EDT by Claudio Rodrigo Pereyra DIaz
Modified: 2016-04-25 07:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 07:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Failed build: 0.1.1-3 with mock + rawhide (7.55 KB, text/plain)
2014-08-13 07:09 EDT, Ismael Olea
no flags Details

  None (edit)
Description Claudio Rodrigo Pereyra DIaz 2014-04-03 15:28:01 EDT
Spec URL: http://elsupergomez.fedorapeople.org/SPECS/hamekoz-tiempos.spec
SRPM URL: http://elsupergomez.fedorapeople.org/SRPMS/hamekoz-tiempos-0.1.0-1.fc20.src.rpm
Description: Simple graphical app for calculate differences and laps times between two dates, in days, weeks, months and years
Fedora Account System Username: elsupergomez
Comment 1 Claudio Rodrigo Pereyra DIaz 2014-04-04 09:52:38 EDT
Koji Task build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=6707625

Rpmlint output

SPECS/hamekoz-tiempos.spec: W: invalid-url Source0: http://github.com/Hamekoz/hamekoz-tiempos/releases/download/v0.1.0/hamekoz-tiempos-0.1.0.tar.gz HTTP Error 403: Forbidden
hamekoz-tiempos.src: W: invalid-url Source0: http://github.com/Hamekoz/hamekoz-tiempos/releases/download/v0.1.0/hamekoz-tiempos-0.1.0.tar.gz HTTP Error 403: Forbidden
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

I don't know why, if browse url the file is download.
Comment 2 Kazım SARIKAYA 2014-04-05 00:11:53 EDT
* you do not need requires filed at your spec file. rpm can find them, unless you need exactly special version.
* use make_install macro instead of make install DESTDIR=%{build root}
* probably you need to put your mono exe at libexec not libdir
* add license file into your tar ball and spec at %doc 
* you should add license header inside top of your source files.

additionally for github
you may use : https://fedoraproject.org/wiki/Packaging:SourceURL#Github

however spectool can download source.
Comment 3 Michael Schwendt 2014-04-05 15:30:59 EDT
Yep, that's

  https://fedoraproject.org/wiki/Packaging:Guidelines#Requires_2

for the automatic dependencies. And

  https://fedoraproject.org/wiki/Packaging:Mono

for the hints on install location.


> add license file into your tar ball and spec at %doc 

Interestingly, nothing in the source tarball confirms the "License: GPLv2" tag. There is no COPYING file, and even if there were one, clarification would be highly recommended:

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification


Consider running "fedora-review -b 1084190" to let that tool perform many helpful checks. It's a tool not only for reviewers. It finds a few things for this package, such as:

  https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
Comment 4 Claudio Rodrigo Pereyra DIaz 2014-04-07 07:35:35 EDT
Thanks, I will verify all you note.
Comment 6 Kazım SARIKAYA 2014-04-07 12:18:32 EDT
Firstly there is a issue that:

Package uses either %{buildroot} or $RPM_BUILD_ROOT
Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


Secondly there is gtk-gui cs files. You may add license to them. While packaging their contents will not be changed. 

Third and last one is about : /usr/lib/hamekoz-tiempos (Directories without known owners)
https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
Comment 7 Claudio Rodrigo Pereyra DIaz 2014-04-07 13:51:07 EDT
Thanks  Kazım SARIKAYA

First point fixed.
Second point, the files in gtk-gui are auto generated by Stetic GUI tool, if I add license it will be removes by de tool when files will regenerate.
Third point, I add dir in %files, think that resolve the problem. I'm right?

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/hamekoz-tiempos.spec
SRPM URL: http://elsupergomez.fedorapeople.org/SRPMS/hamekoz-tiempos-0.1.1-2.fc20.src.rpm
Comment 8 Kazım SARIKAYA 2014-04-07 14:14:16 EDT
your package is seemed good for me. now you should start to find a sponsor for your package.
Comment 9 Xavier Lamien 2014-06-25 14:37:42 EDT
Taking for formal review.
I've a question though, why having disabled debug_package?
Comment 10 Claudio Rodrigo Pereyra DIaz 2014-06-27 09:20:47 EDT
The first try to package I had  problemas, and disabled.
I just check again, enabling again, and work fine.

http://elsupergomez.fedorapeople.org/SPECS/hamekoz-tiempos.spec
http://elsupergomez.fedorapeople.org/SRPMS/hamekoz-tiempos-0.1.1-3.fc20.src.rpm
Comment 11 Claudio Rodrigo Pereyra DIaz 2014-07-03 14:58:14 EDT
It is correct now?
I put it into copr http://copr.fedoraproject.org/coprs/elsupergomez/hamekoz/
Comment 12 Claudio Rodrigo Pereyra DIaz 2014-07-17 14:55:30 EDT
Any feedback??
Comment 13 Ismael Olea 2014-08-13 07:07:07 EDT
v0.1.1-3 doesn't build to me in mock+rawhide. I add te build.log.
Comment 14 Ismael Olea 2014-08-13 07:09:12 EDT
Created attachment 926374 [details]
Failed build: 0.1.1-3 with mock + rawhide

Note You need to log in before you can comment on or make changes to this bug.